Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(126)

Unified Diff: dev-libs/libp11/libp11-0.2.7.ebuild

Issue 6693059: dev-libs/libp11 import from Gentoo main tree. (Closed) Base URL: http://git.chromium.org/git/portage-stable.git@master
Patch Set: Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: dev-libs/libp11/libp11-0.2.7.ebuild
diff --git a/dev-libs/libp11/libp11-0.2.7.ebuild b/dev-libs/libp11/libp11-0.2.7.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..e767d21664fac11de5ff171ec99e800e9efc327b
--- /dev/null
+++ b/dev-libs/libp11/libp11-0.2.7.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libp11/libp11-0.2.7.ebuild,v 1.8 2011/04/03 22:29:33 flameeyes Exp $
+
+EAPI="2"
+
+DESCRIPTION="A library implementing a layer on top of PKCS#11 API to make using PKCS#11 implementations easier."
+HOMEPAGE="http://www.opensc-project.org/libp11/"
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit autotools subversion
+ ESVN_REPO_URI="http://www.opensc-project.org/svn/${PN}/trunk"
+else
+ SRC_URI="http://www.opensc-project.org/files/${PN}/${P}.tar.gz"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
+IUSE="doc"
+
+# libtool is required at runtime as it uses libltdl.
+RDEPEND="dev-libs/openssl
+ sys-devel/libtool"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ doc? ( app-doc/doxygen )"
+
+if [[ "${PV}" = "9999" ]]; then
+ DEPEND="${DEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt"
+
+ src_prepare() {
+ eautoreconf
+ }
+fi
+
+src_configure() {
+ econf \
+ --docdir="/usr/share/doc/${PF}" \
+ --htmldir="/usr/share/doc/${PF}/html" \
+ $(use_enable doc) \
+ $(use_enable doc api-doc)
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "emake install failed"
+}
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698